<?php
/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午5:59
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Dao\Company;

use App\Dao\AbstractDao;
use App\Model\Company;

/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午6:00
 * Description: CompanyDao类用于提供公司相关的数据访问和操作。它继承自AbstractDao类，并实现了CompanyDao接口。
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */
class CompanyDao extends AbstractDao
{
    public function getModel(): string
    {
        return Company::class;
    }

    public function getFields(): array
    {
        return [];
    }
}