<?php
/**
 * Author: ykxiao
 * Date: 2025/7/10
 * Time: 下午8:59
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Dao\Company;

use App\Dao\AbstractDao;
use App\Model\CompanyModules;

class CompanyModulesDao extends AbstractDao
{
    public function getModel(): string
    {
        return CompanyModules::class;
    }

    public function getFields(): array
    {
        return [];
    }
}