<?php
/**
 * Author: ykxiao
 * Date: 2025/7/10
 * Time: 下午8:54
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Model;

class CompanyModules extends Model
{
    protected ?string $table = 'company_modules';

    protected array $fillable = [
        'company_id',
        'module_code',
        'module_data_permissions',
    ];

    // 查询格式转换
    protected array $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
        'module_code' => 'json',
        'module_data_permissions' => 'json',
    ];
}