<?php
/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午9:18
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Model;

class FirstCompany extends Model
{
    protected ?string $table = 'first_company';

    protected array $fillable = [
        'domain',
        'name',
        'full_name',
        'company_type',
        'address',
        'logo',
        'owner',  // 公司负责人
        'id_card', // 法人身份证
        'mobile',
        'org_code',
        'remark',
        'active_status',
        'activation_date',
    ];
}