<?php
/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午7:37
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

return [
    [
        'id' => 1,
        'action' => 'UserController@userLogin',
        'name' => '用户登录',
    ],
    [
        'id' => 2,
        'action' => 'UserController@userLogout',
        'name' => '用户登出',
    ],
    [
        'id' => 3,
        'action' => 'RoleController@disableRoles',
        'name' => '禁用|启用角色',
    ],
    [
        'id' => 4,
        'action' => 'RoleController@delRoles',
        'name' => '删除角色',
    ],
    [
        'id' => 5,
        'action' => 'RoleController@addCompanyModule',
        'name' => '公司授权',
    ],
    [
        'id' => 6,
        'action' => 'RoleController@assignRolePermissions',
        'name' => '角色授权',
    ],
];