<?php

declare(strict_types=1);

namespace App\Constants;

use Hyperf\Constants\Annotation\Constants;

#[Constants]
class RoleTypeConst extends AbsConst
{
    /**
     * @Message("普通用户")
     */
    const int NORMAL_USER = 0;

    /**
     * @Message("管理员")
     */
    const int ADMIN = 1;

    /**
     * @Message("超级管理员")
     */
    const int SUPER_ADMIN = 2;
}
