<?php
/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午4:42
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Model;

class Purchase extends Model
{
    protected ?string $table = 'purchase';

    protected array $fillable = [
        'purchase_sn',
        'warehouse_ids',
        'contract_sn',
        'purchase_time',
        'customer_type',
        'container_type',
        'container_count',
        'original_count',
        'original_cube',
        'receiving_container',
        'receiving_count',
        'receiving_cube',
        'kz_company_id',
        'kz_company_name',
        'sh_company_id',
        'sh_company_name',
        'remark',
        'is_from_erp',
        'erp_return_id',
    ];
}