<?php
/**
 * Author: ykxiao
 * Date: 2025/6/3
 * Time: 下午7:23
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

use function Hyperf\Support\env;

return [
    /*
    |--------------------------------------------------------------------------
    | Aliases
    |--------------------------------------------------------------------------
    |
    |
    */

    'accessKeyId' => env('ALI_ACCESS_KEY_ID', ''),
    'accessKeySecret' => env('ALI_ACCESS_KEY_SECRET', ''),

    'oss' => [
        'oss_endpoint' => env('OSS_ENDPOINT', ''),
    ],
    'logs' => [
        'log_endpoint' => env('LOG_ENDPOINT', ''),
        'log_project' => env('LOG_PROJECT', ''),
        'log_store' => env('LOG_STORE', ''),
    ],
];